// UDFWIN.PRG
// Employee Information window library functions
// November, 1993

#include "sys.ch"

FUNCTION Win_Open(TheTop, TheLeft, TheBottom, TheRight, TheTitle, TheMode)
   LOCAL TheScreen, OldColor

   IF !ISCHARACTER(TheTitle)
      TheTitle := ""
   ENDIF

   IF !ISLOGICAL(TheMode)
      TheMode := TRUE
   ENDIF

   TheScreen := SCREENSAVE(TheTop, TheLeft, TheBottom, TheRight)
   OldColor := Normal_Color()

   @ TheTop, TheLeft CLEAR TO TheBottom, TheRight
   DispBox(TheTop, TheLeft, TheBottom, TheRight)

   Heading_Color()
   @ TheTop, TheLeft + 2 SAY TheTitle

   SetColor(OldColor)

   RETURN TheScreen


FUNCTION Win_Close(TheScreen)
   LOCAL TheTop, TheLeft, TheBottom, TheRight, TheData

   TheTop    := Val(SubStr(TheScreen, 1, 2))
   TheLeft   := Val(SubStr(TheScreen, 3, 2))
   TheBottom := Val(SubStr(TheScreen, 5, 2))
   TheRight  := Val(SubStr(TheScreen, 7, 2))
   TheData   :=     SubStr(TheScreen, 9)

   RestScreen(TheTop, TheLeft, TheBottom, TheRight, TheData)

   RETURN TRUE


FUNCTION Win_Msg(TheRow, TheLeft, TheRight, TheMsg)
   LOCAL OldMsg, OldColor, OldRow, OldCol

   OldColor := Message_Color()
   OldRow := Row()
   OldCol := Col()
   OldMsg := SCREENSAVE(TheRow, TheLeft + 1, TheRow, TheRight - 1)

   @ TheRow, TheLeft + 1 SAY CenterIt(TheMsg, TheRight - TheLeft - 1)

   SetColor(OldColor)
   DevPos(OldRow, OldCol)

   RETURN OldMsg


